/*
* Copyright (c) 京北方信息技术股份有限公司 Corporation 2021 . All rights reserved.
*
*/
package net.northking.cctp.testbug.db.impl;

import net.northking.cctp.testbug.db.dao.BugOverallTendencyChartDao;
import net.northking.cctp.testbug.db.service.BugOverallTendencyChartService;
import net.northking.cctp.testbug.db.entity.BugOverallTendencyChart;

import net.northking.cctp.common.db.BasicDao;
import net.northking.cctp.common.db.PaginationService;

import net.northking.cctp.testbug.dto.BugOverallTendencyChartDetailDto;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.boot.autoconfigure.condition.ConditionalOnMissingBean;
import org.springframework.stereotype.Service;

import java.util.List;


/**
 * 跨项目缺陷趋势图
 *
 * <p>文件内容由代码生成器产生，请不要手动修改！ <br>
 * createdate:  2021-11-12 15:54:21  <br>
 * @author:  maven-cctp-plugin  <br>
 * @since:  1.0 <br>
 */
@Service
@ConditionalOnMissingBean(name = "BugOverallTendencyChartServiceImpl")
public class BugOverallTendencyChartServiceImpl extends PaginationService<BugOverallTendencyChart> implements BugOverallTendencyChartService
{
private static final Logger logger = LoggerFactory.getLogger(BugOverallTendencyChartServiceImpl.class);

  private final BugOverallTendencyChartDao bugOverallTendencyChartDao;

  public BugOverallTendencyChartServiceImpl(BugOverallTendencyChartDao bugOverallTendencyChartDao) {this.bugOverallTendencyChartDao = bugOverallTendencyChartDao;}

  public BasicDao<BugOverallTendencyChart> getDao() {return bugOverallTendencyChartDao;}

  public BugOverallTendencyChart createEntity() { return new BugOverallTendencyChart();}

  @Override
  protected void beforeInsert(BugOverallTendencyChart record) {

  }

  @Override
  protected void beforeUpdate(BugOverallTendencyChart record) {

  }

  @Override
  public int deleteAll() {
    BugOverallTendencyChart b=new BugOverallTendencyChart();
    return this.bugOverallTendencyChartDao.deleteByExample(b);
  }

  @Override
  public List<BugOverallTendencyChartDetailDto> selectGroupByTime() {
    return this.bugOverallTendencyChartDao.selectGroupByTime();
  }







}

